# QAbstractXmlNodeModel Class Reference

### [com.trolltech.qt.xmlpatterns package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QAbstractXmlNodeModel prototype object
- Parent
- FirstChild
- PreviousSibling
- NextSibling
- SimpleAxis( value )
- InheritNamespaces = 0x1
- PreserveNamespaces = 0x2
- NodeCopySetting( value )

### Prototype Object Properties

- QUrl baseUri(QXmlNodeModelIndex ni)
- DocumentOrder compareOrder(QXmlNodeModelIndex ni1, QXmlNodeModelIndex ni2)
- QUrl documentUri(QXmlNodeModelIndex ni)
- QXmlNodeModelIndex elementById(QXmlName NCName)
- NodeKind kind(QXmlNodeModelIndex ni)
- QXmlName name(QXmlNodeModelIndex ni)
- List namespaceBindings(QXmlNodeModelIndex n)
- List nodesByIdref(QXmlName NCName)
- QXmlNodeModelIndex root(QXmlNodeModelIndex n)
- QSourceLocation sourceLocation(QXmlNodeModelIndex index)
- String stringValue(QXmlNodeModelIndex n)
- Object typedValue(QXmlNodeModelIndex n)

### Instance Properties

QAbstractXmlNodeModel objects have no special properties beyond those inherited from the QAbstractXmlNodeModel prototype object.